%global project_owner rtfd
%global github_name recommonmark
%global commit dbed1c4d807275b2dba94ecc16e6d51c3ef94556
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global sum docutils-compatibility bridge to CommonMark
%global desc A docutils-compatibility bridge to CommonMark.\
\
This allows you to write CommonMark inside of Docutils & Sphinx projects.\
\
Documentation is available on Read the Docs: http://recommonmark.readthedocs.org

Name:           python-%{github_name}
Version:        0.4.0
Release:        %mkrel 2
Summary:        %{sum}
Group:          Development/Python
License:        MIT
URL:            https://github.com/%{project_owner}/%{github_name}
Source0:        https://github.com/%{project_owner}/%{github_name}/archive/%{commit}/%{github_name}-%{commit}.tar.xz
BuildArch:      noarch
Patch0:         rename-CommonMark-into-commonmark.patch
Patch1:         rename-CommonMark-into-commonmark-tests.patch

%description
%{desc}

%package -n     python3-%{github_name}
Summary:        %{sum}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-sphinx
Requires:       python3-docutils
Requires:       python3-commonmark
Requires:       python3-sphinx
%{?python_provide:%python_provide python3-%{github_name}}

%description -n python3-%{github_name}
%{desc}


%prep
%setup -qn %{github_name}-%{commit}
%patch0 -p1
%patch1 -p1
# Remove upstream's egg-info
rm -rf %{github_name}.egg-info

sed -i '1{\@^#!/usr/bin/env python@d}' recommonmark/scripts.py


%build
%py3_build


%install
#  install python3 first to have unversioned binaries for python 3
%py3_install
pushd %{buildroot}%{_bindir}  # Enter buildroot bindir to ease symlink creation
for cm2bin in cm2*; do
    mv "${cm2bin}" "${cm2bin}-%{python3_version}"
    ln -s "${cm2bin}-%{python3_version}" "${cm2bin}-3"
done
popd  # Leave buildroot bindir


%files -n python3-%{github_name}
%{python3_sitelib}/%{github_name}-%{version}*-py%{python3_version}.egg-info/
%{python3_sitelib}/%{github_name}/
%{_bindir}/cm2*-3
%{_bindir}/cm2*-%{python3_version}


%changelog
* Thu Aug 11 2022 tex - 0.4.0-2pclos2022
- rebuild against updates

* Fri Apr 12 2019 tex - 0.4.0-1pclos2019
- imported package python-recommonmark
